seo:
  title: Meet Creationline team members who contribute to GitLab
  description: >-
    Creationline contributes to GitLab as a reseller. Three team members explain
    how it works.
  ogTitle: Meet Creationline team members who contribute to GitLab
  ogDescription: >-
    Creationline contributes to GitLab as a reseller. Three team members explain
    how it works.
  noIndex: false
  ogImage: images/blog/hero-images/contributors-cover.png
  ogUrl: https://about.gitlab.com/blog/creationline-post
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/creationline-post
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Meet Creationline team members who contribute to GitLab",
            "author": [{"@type":"Person","name":"Ray Paik"}],
            "datePublished": "2019-11-27",
          }

content:
  title: Meet Creationline team members who contribute to GitLab
  description: >-
    Creationline contributes to GitLab as a reseller. Three team members explain
    how it works.
  authors:
    - Ray Paik
  heroImage: images/blog/hero-images/contributors-cover.png
  date: '2019-11-27'
  body: >

    For this edition of the [GitLab contributor blog
    posts](/blog/tags.html#contributors), I'm

    excited to introduce Creationline, which is a [GitLab reseller in
    Japan](/resellers/creationline/). As you read this blog post, you will find
    Creationline is not a typical reseller. Their team were able to help both
    their customers and the GitLab community through their contributions. Here's
    what three Creationline employees had to share with us. 


    ## Decision to partner with Gitlab and contributing as a reseller

    #### [Jean-Baptiste Vasseur](https://gitlab.com/jvasseur), Agile Coach and
    DevOps Consultant 


    When we explored the [DevOps](/topics/devops/) landscape about 3 years ago,
    we accidentally came across [GitLab’s handbook](/handbook/). This was a
    revelation for us! Pushing transparency to a point where job applicants know
    how GitLab members are expected to behave with candidates, a company culture
    where people are not afraid to communicate their failures, published company
    business targets and how the team is planning to achieve them, and of course
    how an open source software philosophy applied to every aspect of GitLab. We
    felt connected to so many aspects of GitLab’s company culture that I wanted
    to find a way to work together.


    As [Creationline](http://www.creationline.com/gitlab) was already reselling
    licenses for other cloud and DevOps companies, and as GitLab was looking for
    more partners in different countries at that time, we felt confident we had
    a very good match and started distributing GitLab licenses in June, 2017.


    I usually invest a lot of my time prospecting clients, providing technical
    and value chain consulting, and contributing to the local community by
    co-organizing meetups and delivering CI/CD workshops. While I also love
    writing code – I come from an engineering background – it's a challenge to
    find the time to make open source contributions. However, while I was
    consulting for a large IT firm that was developing an internal DevOps
    package built around GitLab, I had an opportunity to make a valuable
    contribution to GitLab on the company's behalf. The team had a lot of
    passion for the project and loved working with the GitLab product, but they
    got blocked by a missing API and were not comfortable enough with their
    English to open a merge request.


    As consultants, we did not have the responsibility of adding features or
    fixing issues on GitLab, but I really wanted to help our client. I explored
    the source code, figured out the pattern/coding style, and opened my first
    [merge
    request](https://gitlab.com/gitlab-org/gitlab-foss/merge_requests/22296).
    Review happened almost immediately, and GitLab team members were very nice
    and also challenged me to apply some refactoring, which helped me learn even
    more about the source code.


    ![Open Source Summit Japan,
    2019](https://about.gitlab.com/images/blogimages/creationline-blogpost/Creationline-OSS-Japan.jpg){:
    .shadow.medium.center}

    Creationline and GitLab team members at Open Source Summit-Japan

    {: .note.text-center}


    ## Journey from an end user to a regular contributor to an evangelist

    #### [Hiroyuki Sato](https://gitlab.com/hiroponz), GitLab Evangelist


    I started to contribute to GitLab back in 2012. At that time I was already
    using GitLab at work, and I wanted to fix a bug that I was facing. This
    issue was preventing the source code diff from being displayed on the
    screen, but it was only occurring when using Japanese. As this issue was not
    seen in other languages, this was not a high priority bug, but it was
    impacting us severely. I found it very natural to fix it myself and to open
    a [merge request](https://github.com/gitlabhq/gitlabhq/pull/2100). In order
    to solve this, I also had to first fix the gem ‘grit_ext’ that GitLab was
    using, and created [another merge
    request](https://github.com/gitlabhq/grit_ext/pull/1).


    Both merge requests got reviewed and merged within three days! This
    experience was so exciting that I started to contribute more and created
    [multiple merge
    requests](https://github.com/gitlabhq/gitlabhq/pulls?q=is%3Apr+author%3Ahiroponz+is%3Aclosed),
    and eventually I was awarded the
    [MVP](https://about.gitlab.com/community/mvp/) for GitLab's 5.1 release.


    Later on, as I really loved GitLab as a product, I started to explore if
    there was a way for me to work more closely with GitLab. This is when I met
    Creationline, which had just become the exclusive reseller in Japan and I
    decided to join them in April, 2018.


    Now, I am involved in pre-sales, marketing, customer support, and I also
    offer trainings on how to get the best out of GitLab. Of course, I still
    invest a part of my time to [contribute to
    GitLab](https://gitlab.com/groups/gitlab-org/-/merge_requests?%0Ascope=all&utf8=%E2%9C%93&state=merged&author_username=hiroponz)
    to help customers overcome issues/challenges, and this is one of my favorite
    parts of the job!


    ## Dogfooding at Creationline

    #### [Yuko Takano](https://gitlab.com/takano_cl), Customer Success Manager


    As a reseller team, we wanted to have more opportunities to use GitLab on a
    daily basis so we can support our customers better. We also wanted to
    experience the continuous server side operations, and set up our own
    instance so that we can capitalize on this experience.


    We started using GitLab inside the GitLab reseller team, and then expanded
    it to various business functions within our organization. We now use a lot
    of GitLab features in order to manage source code, visualize our sales and
    marketing workflow, track translation work, organize OKRs with epics, and we
    continue to look for other areas to explore.


    ![GitLab CI
    workshop](https://about.gitlab.com/images/blogimages/creationline-blogpost/Creationlin-GitLab-workshop.jpg){:
    .shadow.medium.center}

    Creationline team running the GitLab CI Workshop

    {: .note.text-center}


    ## Interested in learning how you can contribute?


    A good place to start is the [Contributing to GitLab
    page](/community/contribute/), where you can

    learn how you can contribute to GitLab's code, documentation, translation,
    and UX design.


    If you have any questions, you are always welcome to reach me at
    rpaik@gitlab.com.
  category: Open Source
  tags:
    - community
    - open source
    - contributors
    - releases
config:
  slug: creationline-post
  featured: false
  template: BlogPost
